ApdexSummaryData (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor, class: ApdexSummaryData

Package org.apache.jmeter.report.processor

# Class ApdexSummaryData

java.lang.Object
org.apache.jmeter.report.processor.ApdexSummaryData

public class ApdexSummaryData extends Object
The class ApdexSummaryData provides information for ApdexSummaryConsumer.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApdexSummaryData(ApdexThresholdsInfo info)`
  Instantiates a new apdex summary data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ApdexThresholdsInfo`
  `getApdexThresholdInfo()`
  `final long`
  `getSatisfiedCount()`
  `final long`
  `getToleratedCount()`
  `final long`
  `getTotalCount()`
  `void`
  `incSatisfiedCount()`
  `void`
  `incToleratedCount()`
  `void`
  `incTotalCount()`
  `final void`
  `setSatisfiedCount(long satisfiedCount)`
  `final void`
  `setToleratedCount(long toleratedCount)`
  `final void`
  `setTotalCount(long totalCount)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApdexSummaryData

    public ApdexSummaryData(ApdexThresholdsInfo info)
    Instantiates a new apdex summary data.
    Parameters:
      `info` - the threshold information

- ## Method Details

  - ### getApdexThresholdInfo

    public final ApdexThresholdsInfo getApdexThresholdInfo()

  - ### getSatisfiedCount

    public final long getSatisfiedCount()

  - ### setSatisfiedCount

    public final void setSatisfiedCount(long satisfiedCount)

  - ### getToleratedCount

    public final long getToleratedCount()

  - ### setToleratedCount

    public final void setToleratedCount(long toleratedCount)

  - ### getTotalCount

    public final long getTotalCount()

  - ### setTotalCount

    public final void setTotalCount(long totalCount)

  - ### incSatisfiedCount

    public void incSatisfiedCount()

  - ### incToleratedCount

    public void incToleratedCount()

  - ### incTotalCount

    public void incTotalCount()